function SetCookie(name,value)//两个参数，一个是cookie的名子，一个是值
{
    var Days = 300; //此 cookie 将被保存 30 天
    var exp  = new Date();    //new Date("December 31, 9998");
    exp.setTime(exp.getTime() + Days*24*60*60*1000);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}
function getCookie(name)//取cookies函数        
{
    var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)"));
     if(arr != null) return unescape(arr[2]); return null;
}
//点击菜单按钮
var tgid=0;
$(function() {
	tgid=$("#tgid").val();
	var scid=getCookie("sctgid");
	if(scid!=null)
	{
		if( (","+scid).indexOf(","+tgid+",")!=-1)
		{
			$("#sc .afte").show();
			$("#sc .bef").hide();
		}
		else
		{
			$("#sc .afte").hide();
			$("#sc .bef").show();	
		}
	}
    $(".h-m").click(function(event) {
        if ($(this).next(".h-nav").is(":hidden")) {
            $(this).next(".h-nav").show();
            $(".mask").show();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = false;
                e.stopPropagation && e.stopPropagation();
                return false;
            }
        } else {
            $(this).next(".h-nav").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }
        }
        $(document).click(function() {
            $(".h-nav").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }
        });
        event.stopPropagation();
    });
    $(".h-nav").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})

//订阅成功
$(function() {
    $(".tj").click(function(event) {
        $(".bm-success").show();
        $(".mask1").show();
        $(document).click(function() {
            $(".bm-success").hide();
            $(".mask1").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }

        });
        event.stopPropagation();
    });

    $(".tg,.bm-success").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})


//删除订单
$(function() {
    $(".del").click(function() {
        $(this).parent().parent().parent().hide();
    });
})
//条件筛选：点击显示更多(经纪人页面：li初始高度为40px)
$(function() {
    $(".down,.down1").click(function() {
        $(this).parent().removeClass("start start1").addClass("click1");
        $(this).hide();
        $(this).next(".up,.up1").show();
    });
})

$(function() {
    $(".up").click(function() {
        $(this).parent().removeClass("click1").addClass("start");
        $(this).hide();
        $(this).prev(".down").show();
    });
})

$(function() {
    $(".up1").click(function() {
        $(this).parent().removeClass("click1").addClass("start1");
        $(this).hide();
        $(this).prev(".down1").show();
    });
})
//点击显示更多房源信息
$(function() {
    $(".ck").click(function() {
        $(".pad2").removeClass("h-200").addClass("h-auto");
        $(this).hide();
        $(this).next(".cka").show();
    });
});

$(function() {
    $(".cka").click(function() {
        $(".pad2").removeClass("h-auto").addClass("h-200");
        $(this).prev(".ck").show();
        $(this).hide();
    });
});

//按钮
$(function() {
    $("input[type='checkbox']").click(function() {
        if ($(this).is(':checked')) {
            $(this).attr("checked", "checked");
            $(this).parent().removeClass("c_off").addClass("c_on");
        } else {
            $(this).removeAttr("checked");
            $(this).parent().removeClass("c_on").addClass(" c_off");
        }
    });
})

//立即报名	 
$(function() {
    $(".bm").click(function(event) {
        if ($(".tg").is(":hidden")) {
            $(".tg").show();
            $(".mask").show();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = false;
                e.stopPropagation && e.stopPropagation();
                return false;
            }
        } else {
            $(".tg").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }

        }
        $(document).click(function() {
            $(".tg,.bm-success").hide();
            $(".mask").hide();
            window.ontouchmove = function(e) {
                e.preventDefault && e.preventDefault();
                e.returnValue = true;
                e.stopPropagation && e.stopPropagation();
                return true;
            }

        });

        event.stopPropagation();
    });
    $(".tg,.bm-success").click(function(event) {
        event.stopPropagation(); //阻止事件向上冒泡 
    });
})

//分类信息详细页收藏成功
$(function() {
    $("#sc span.bef").click(function() {
        $(this).hide();
        $(this).next(".afte").show();
        $("#sc-s").fadeIn().delay(1000).fadeOut(1000);
		var scid=getCookie("sctgid");
		var scflag=true;
		var sc="";
		if(scid!=null && scid!="")
		{
			if( (","+scid).indexOf(","+tgid+",")!=-1)
			{
				scflag=false;
			}
			sc =scid+tgid+",";
		}
		else
		{
			sc=tgid+",";	
		}
		sc = sc.replace(",,",",");
		if(scflag)
		{
			SetCookie("sctgid",sc);
		}
    });
    $("#sc span.afte").click(function() {
        $(this).hide();
        $(this).prev().show();
        $("#sc-none").fadeIn().delay(1000).fadeOut(1000);
		var scid=getCookie("sctgid");
		var scflag=false;
		var sc="";
		if(scid!=null && scid!="")
		{
			if( (","+scid).indexOf(","+tgid+",")!=-1)
			{
				scflag=true;
				sc = (","+scid).replace(","+tgid+",",",");
				if(sc==",")
					sc="";
			}
		}
		
		if(scflag)
		{
			sc = sc.replace(",,",",");
			SetCookie("sctgid",sc);
		}
    })
});

//分享1
$(function() {
    $("#share").click(function() {
		var ua = navigator.userAgent.toLowerCase();
	    if(ua.match(/MicroMessenger/i)=="micromessenger") {
        	$(".sharehelper").show();
		}
		else
		{
           event.stopPropagation();
       	   $(".an1").show();
		}
    })
})
//分享2
$(function() {
    //点击空白处或者自身隐藏弹出层，下面分别为滑动和淡出效果。  
    $(document).click(function(event) {
        $('.an1').hide();
    });
    $('.an1').click(function(event) {
        $(this).hide();
    });
})

$(function() {
    $(".h-title ul li").each(function(i) {
        $(this).hover(function() {
            $(this).addClass("on").siblings().removeClass("on");
            $(".house1:eq(" + i + ")").show().siblings(".house1").hide();
        })
    })
});

$(function() {
    $(".dxj-list ul li").each(function() {
        $(this).last().css("border-bottom", "none")
    });
})
$(function() {
    $(".pay-wrapper").click(function(e){
		var v_id=$(e.target).attr('name');
		if(v_id!="paytype")
		{
			var obj=$(this);
			obj.find("input[name='paytype']").click();
		}
	});
	$("#buyordersubmit").click(function(){
		if( $("#paytype").length==0)
		{
			$("#buyordersubmit").attr("disabled", true).text("支付中，请稍候");
			$.ajax({
				  url: "/public/ajax.aspx?action=paytuangou&m=m&id="+$("#HiddenOrderid").val(),
				  cache: false,
				  success:function(data)
				  {
					if ( data.toLowerCase().indexOf("http://")!=-1 )
					{
						window.location.href=data;
					}
					else if ( data.toLowerCase().indexOf("对不起，")!=-1 )//出现错误提示
					{
						alert(data);
						$("#buyordersubmit").attr("disabled", false).text("立即支付");
					}
					else{
						window.location.href="tgorder.aspx?id="+data;
					}
				  }
			});	
			return false;
		}
		else
		{
			var aa = $("input[name='paytype']:checked").val();
			$.ajax({
				  url: "/public/ajax.aspx?action=tuangoupayid&PayID="+aa+"&id="+$("#HiddenOrderid").val(),
				  cache: false,
				  success:function(data)
				  {
				  }
			});	
			if(aa=="1" )
			{
				$("#dealorderbuyform").attr("action",SiteWebUrl+"BankPay/AlipayWap/AliPayWapDefault.aspx?action=tuanpay");
				return true;
			}
			else if(aa=="2" )
			{
				$("#dealorderbuyform").attr("action",SiteWebUrl+"BankPay/AlipayWap/AlipayWebDefault.aspx?action=tuanpay");
				return true;
			}
			else if(aa=="3"){
				$("#dealorderbuyform").attr("action",SiteWebUrl+"BankPay/YeePayWap/YeePayWap_Default.aspx?action=tuanpay&paytype=0");
				return true;	
			}
			else if(aa=="4" ){
				$("#dealorderbuyform").attr("action",SiteWebUrl+"BankPay/YeePayWap/YeePayWap_Default.aspx?action=tuanpay&paytype=1");
				return true;	
			}
			else if(aa=="5" ){
				$("#dealorderbuyform").attr("action",SiteWebUrl+"payment/weixinpay/jsapi/JsApiPayPage.aspx?action=tuanpay&showwxpaytitle=1");
				return true;	
			}
			
		}
	});
	$("#buysubmit").click(function(){
		$.ajax({
		  url: "/public/ajax.aspx?action=CheckIsLogin",
		  cache: false,
		  success:function(data)
		  {
			  if(data==-1)
			  {
				 window.location.href=wapurl+"login.aspx?from="+window.location.href;
				 return false;
			  }
		  }
		});
		
		var re = /^[1-9]+[0-9]*]*$/;   // 整数
		if (!re.test($("#dantext").val()))
		{
			alert("请输入正确的购买数量！");
			$("#dantext").select();
			return false;
		}
		var curl="/public/ajax.aspx?action=addbuytuangou&TuanID="+$("#BuyTuanID").val()+"&OrderNum="+$("#dantext").val();
		if( $("#address-phone2").length >0 )
		{
			if( $("#address-phone2").val().length<10 )
			{
				alert("请正确输入您的手机号码！");
				return false;
			}
			curl +="&OrderMobile="+escape($("#address-phone2").val())
		}
		else if( $("#address-phone3").length >0 )
		{
			if( $("#address-phone3").val().length<10)
			{
				alert("请正确输入您的手机号码！");
				return false;
			}
			curl +="&OrderMobile="+escape($("#address-phone3").val())
		}
		else if( $("#address-phone1").length >0 )
		{
			if( $("#address-phone1").val().length<10)
			{
				alert("请正确输入您的手机号码！");
				return false;
			}
			var a=$("input[name='shuohuostyleid']:checked").val();
			if(a=="0")
			{
				if( $("#address-name").val().length<2)
				{
					alert("请输入您的姓名！");
					return false;
				}
				if( $("#address-detail").val().length<5)
				{
					alert("请输入您的详细地址，以方便我们送货到您手中！");
					return false;
				}
			}
			curl +="&OrderMobile="+escape($("#address-phone1").val())+"&OrderShouhuocode="+escape($("#address-zipcode").val())+"&OrderShouhuoaddress="+escape($("#address-detail").val())+"&OrderShouhuoname="+escape($("#address-name").val())+"&OrderShuohuostyleid="+$("input[name='shuohuostyleid']:checked").val()+"&OrderShuohuochrmark="+escape($("#address-chrmark").val());
		}
		$("#buysubmit").attr("disabled", true).text("订单提交中……"); //设置为不可点
		$.ajax({
			  url: curl,
			  cache: false,
			  success:function(data)
			  {
					var re = /^[1-9]+[0-9]*]*$/;   // 整数
					if (re.test(data))
					{
						window.location.href=wapurl+"tg/tgorder.aspx?id="+data;
					}
					else{
						alert(data);
						$("#buysubmit").attr("disabled", false).text("提交订单");
					}
			  }
		});
		return false;				   
	});
})

function setsonghuofashi(){
	if($("input[name='shuohuostyleid']:checked").val()=="1"){
		$("#peisong11").hide();	
		$("#peisong12").hide();	
		$("#peisong13").hide();	
	}
	else{
		$("#peisong11").show();	
		$("#peisong12").show();	
		$("#peisong13").show();	
	}
	jisuan();
}
function quantity(tt)
{
	var number=parseInt( $("#dantext").val() )+tt;
	if( number>=0)
	{
		$("#dantext").val(number);
		jisuan();
	}
}
function quantitykeyup(o){
	var re = /^[1-9]+[0-9]*]*$/;   // 整数
	if (!re.test(o.value))
    {
		alert("请输入正确的购买数量！");
		o.select();
		return false;
	}
	jisuan();
}
function ReturnCHA(varNumber){
	if (varNumber.toFixed)
	{ 
		varNumber = varNumber.toFixed(2); 
	}
	else  //浏览器不支持toFixed()就使用其他方法
	{
		 var div = Math.pow(10,2);
		varNumber = Math.round(varNumber * div) / div;
	} 
	return parseFloat(varNumber);
}
function jisuan()
{
	var number=parseInt( $("#dantext").val() );
	if (number>10000)
    {
		alert("请输入正确的购买数量，不能大于10000！");
		o.select();
		return false;
	}
	$("#buysubmit").attr("disabled", false); //设置为可点
	var money = parseFloat( $("#danmoney").html() );
	money =money *  number;
	$("#totalmoney1").html( ReturnCHA(money) );
	
	if( $("#youfeinum").length>0)
	{
		var youfeinum = parseInt($("#youfeinum").html());
		var yunfeimoneydan = parseFloat($("#yunfeimoneydan").html());
		if( number >= youfeinum || $("input[name='shuohuostyleid']:checked").val()=="1")
		{
			$("#yunfeimoney").html("0");
		}
		else{
			$("#yunfeimoney").html(yunfeimoneydan);
			money +=  yunfeimoneydan;	
		}
	}
	$("#totalmoney2").html( ReturnCHA(money) );	
	$("#totalmoney3").html( ReturnCHA(money) );	
}
function quantitykeydown(e){
	if(window.event) // IE
	{
	  k = e.keyCode
	}
	else if(e.which) // Netscape/Firefox/Opera
	{
	  k = e.which
	}
	var k=event.keyCode;
	
	if(!(k==8 || k==9 || k==13 || k==17 || k==16 || k>=33 && k<=40 || k==45 || k==46 || k>=48 && k<=57 || k>=96 && k<=105))
	{
		return false;
	}
}
